net.minecraft.util

## Class ChatComponentTranslation

- java.lang.Object
- - net.minecraft.util.ChatComponentStyle
  - - net.minecraft.util.ChatComponentTranslation

- All Implemented Interfaces:
    java.lang.Iterable, IChatComponent

      public class ChatComponentTranslation
      extends ChatComponentStyle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.minecraft.util.IChatComponent

      `IChatComponent.Serializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.regex.Pattern` | `stringVariablePattern`

    - ### Fields inherited from class net.minecraft.util.ChatComponentStyle

      `siblings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChatComponentTranslation(java.lang.String p_i45160_1_, java.lang.Object... p_i45160_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChatComponentTranslation` | `createCopy()`
    `boolean` | `equals(java.lang.Object par1Obj)`
    `java.lang.Object[]` | `getFormatArgs()`
    `java.lang.String` | `getKey()`
    `java.lang.String` | `getUnformattedTextForChat()`
    `int` | `hashCode()`
    `protected void` | `initializeFromFormat(java.lang.String p_150269_1_)`
    `java.util.Iterator` | `iterator()`
    `IChatComponent` | `setChatStyle(ChatStyle p_150255_1_)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class net.minecraft.util.ChatComponentStyle

      `appendSibling, appendText, createDeepCopyIterator, getChatStyle, getFormattedText, getSiblings, getUnformattedText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### stringVariablePattern

          public static final java.util.regex.Pattern stringVariablePattern

  - ### Constructor Detail

    - #### ChatComponentTranslation

          public ChatComponentTranslation(java.lang.String p_i45160_1_,
                                  java.lang.Object... p_i45160_2_)

  - ### Method Detail

    - #### initializeFromFormat

          protected void initializeFromFormat(java.lang.String p_150269_1_)

    - #### setChatStyle

          public IChatComponent setChatStyle(ChatStyle p_150255_1_)

      Specified by:
        `setChatStyle` in interface `IChatComponent`
      Overrides:
        `setChatStyle` in class `ChatComponentStyle`

    - #### iterator

          public java.util.Iterator iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable`
      Overrides:
        `iterator` in class `ChatComponentStyle`

    - #### getUnformattedTextForChat

          public java.lang.String getUnformattedTextForChat()

    - #### createCopy

          public ChatComponentTranslation createCopy()

    - #### equals

          public boolean equals(java.lang.Object par1Obj)

      Overrides:
        `equals` in class `ChatComponentStyle`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ChatComponentStyle`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ChatComponentStyle`

    - #### getKey

          public java.lang.String getKey()

    - #### getFormatArgs

          public java.lang.Object[] getFormatArgs()